Kerbal Space Program - Bug #13506

Stereo sound production in map mode creates extremely unpleasant experience
01/01/2017 03:05 PM - Kasuha

Status: Confirmed Start date: 01/01/2017
Severity: Normal % Done: 10%
Assignee:

Category: Audio

Target version:

Version: 1.2.2 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

Please note that this applies specifically to headphone users which get stereo channels directly to each ear. It's not an issue when
listening to speaker output as their sound gets mixed before it gets to the ear. Please use hearphones when testing it.

Starting situation: a long, tall (typical) rocket in equatorial orbit, burning east. In map view, when viewing the situation from directly
above, the sound is produced only to my left ear, there's no sound to the right ear. It's very unpleasant and ear straining. By turning
the view around the planet, the sound gradually pans to the right ear until when viewed the scene from directly behind the planet, the
sound is all in the right ear and none in the left.

There is no such problem when viewing the rocket in normal view, the sound has the sense of direction but is produced reasonably
for both ears. My working theory is that the problem is caused by changes in distances for which the sound is rendered in map view.

Attaching a quicksave with testing situation and explanatory screenshots.

Note: this bug is ancient, it was not introduced in any recent update. It should be fixed anyway as it creates really very unpleasant
and ear straining experience.

History

#1 - 01/03/2017 11:02 PM - Technicalfool
- Status changed from New to Confirmed

- % Done changed from 0 to 10

Yep, it's ancient. Probably due to whatever Unity audiolistener is being used in map mode not following the camera correctly.

#2 - 11/20/2017 06:25 PM - Kasuha

| have recently returned to playing this game and had to notice that the bug is still in the game, annoying as ever. Honestly, it's literally giving me
headaches. Please at least give an option to switch the sound to mono in map view if you can't do anything better with it.

| made a short video demonstrating the bug, pay attention to the sound and its changes as | enter the map view and rotate the camera.
https://www.youtube.com/watch?v=XBRd7eg3NH8
